edu.sc.seis.sod.process.waveform.vector

## Class ParticleMotionPlot

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.AbstractFileWriter
  - - edu.sc.seis.sod.process.waveform.vector.ParticleMotionPlot

- All Implemented Interfaces:
    WaveformVectorProcess, SodElement, Subsetter

      public class ParticleMotionPlot
      extends AbstractFileWriter
      implements WaveformVectorProcess

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_FILE_TEMPLATE`

    - ### Fields inherited from class edu.sc.seis.sod.process.waveform.AbstractFileWriter

      `DEFAULT_FILE_TEMPLATE_WO_EXT, DEFAULT_PREFIX, DEFAULT_WORKING_DIR, INDEX_VAR, origTemplate, prefix, template, velocitizer, workingDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParticleMotionPlot(org.w3c.dom.Element config)`
    `ParticleMotionPlot(java.lang.String workingDir, java.lang.String fileTemplate, java.lang.String prefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformVectorResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`
    `de.erichseifert.gral.plots.Plot` | `makePlot(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] XSeis, edu.iris.Fissures.network.ChannelImpl xChan, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] ySeis, edu.iris.Fissures.network.ChannelImpl yChan, edu.sc.seis.fissuresUtil.cache.CacheEvent event)`
    `void` | `savePlot(de.erichseifert.gral.plots.Plot plot, edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.network.ChannelImpl otherChannel, java.util.Map<java.lang.String,java.lang.Object> extras)`

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.AbstractFileWriter

      `checkParentDirs, extractFileTemplate, extractPrefix, extractWorkingDir, generate, generate, generate, getTemplate, removeExisting, removeExisting, removeExisting`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILE_TEMPLATE

          public static java.lang.String DEFAULT_FILE_TEMPLATE

  - ### Constructor Detail

    - #### ParticleMotionPlot

          public ParticleMotionPlot(org.w3c.dom.Element config)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### ParticleMotionPlot

          public ParticleMotionPlot(java.lang.String workingDir,
                                    java.lang.String fileTemplate,
                                    java.lang.String prefix)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### accept

          public WaveformVectorResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                             edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                             edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                             CookieJar cookieJar)
                                      throws java.lang.Exception

      Specified by:
        `accept` in interface `WaveformVectorProcess`
      Throws:
        `java.lang.Exception`

    - #### makePlot

          public de.erichseifert.gral.plots.Plot makePlot(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] XSeis,
                                                          edu.iris.Fissures.network.ChannelImpl xChan,
                                                          edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] ySeis,
                                                          edu.iris.Fissures.network.ChannelImpl yChan,
                                                          edu.sc.seis.fissuresUtil.cache.CacheEvent event)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### savePlot

          public void savePlot(de.erichseifert.gral.plots.Plot plot,
                               edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                               edu.iris.Fissures.network.ChannelImpl channel,
                               edu.iris.Fissures.network.ChannelImpl otherChannel,
                               java.util.Map<java.lang.String,java.lang.Object> extras)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`